Name:           asahi-scripts
Version:        20220819
Release:        1%{?dist}
Summary:        Miscellaneous admin scripts for Asahi Linux

License:        MIT
URL:            https://github.com/leifliddy/asahi-scripts
Source0:        asahi-scripts.tar.gz

BuildRequires:  systemd-rpm-macros

Requires:       bash
Requires:       cloud-utils-growpart
Requires:       coreutils
Requires:       diffutils
Requires:       dosfstools
Requires:       grub2-tools
Requires:       linux-firmware
Requires:       sed
Requires:       tar

BuildArch:      noarch

%description
This package contains miscellaneous admin scripts for the Asahi Linux reference
distro.

%prep
%setup -n asahi-scripts

%install
install -Dpm0755 -t %{buildroot}%{_sbindir} first-boot
install -Dpm0755 -t %{buildroot}%{_sbindir} update-grub
install -Dpm0755 -t %{buildroot}%{_sbindir} update-vendor-firmware
install -Dpm0644 -t %{buildroot}%{_unitdir} systemd/asahi-firstboot.service
install -Dpm0644 -t %{buildroot}%{_unitdir} systemd/systemd-udev-trigger-early.service
install -Dpm0644 -t %{buildroot}%{_unitdir} systemd/update-vendor-firmware.service
install -Dpm0644 -t %{buildroot}%{_unitdir} systemd/asahi-firstboot.service
install -Dpm0644 -t %{buildroot}%{_sysconfdir}/dnf/plugins/post-transaction-actions.d/ post-transaction-actions.d/grub2-tools-install.action
install -Dpm0644 -t %{buildroot}%{_sysconfdir}/dracut.conf.d/ dracut.conf.d/asahi.conf

%post
ln -srf %{_unitdir}/asahi-firstboot.service %{_unitdir}/sysinit.target.wants 
ln -srf %{_unitdir}/systemd-udev-trigger-early.service %{_unitdir}/sysinit.target.wants
ln -srf %{_unitdir}/update-vendor-firmware.service %{_unitdir}/sysinit.target.wants 

%files
%license LICENSE
%{_sbindir}/first-boot
%{_sbindir}/update-grub
%{_sbindir}/update-vendor-firmware
%{_sysconfdir}/dnf/plugins/post-transaction-actions.d/grub2-tools-install.action
%{_sysconfdir}/dracut.conf.d/asahi.conf
%{_unitdir}/asahi-firstboot.service
%{_unitdir}/systemd-udev-trigger-early.service
%{_unitdir}/update-vendor-firmware.service
%ghost %{_unitdir}/sysinit.target.wants/asahi-firstboot.service
%ghost %{_unitdir}/sysinit.target.wants/systemd-udev-trigger-early.service
%ghost %{_unitdir}/sysinit.target.wants/update-vendor-firmware.service

#%%changelog
#%%autochangelog
